<?php
include 'conf.php';

$waprik = str_replace(''.DOWN_rekl.'', 'waprik.ru_', trim($_GET['name']));

$url = 'http://mp3.waprik.ru/files/'.intval($_GET['id']).'/'.$waprik.'';

$info = get_headers($url, 1);	

foreach ($info as $key=>$value)
{
	header(''.$key.': '.$value.'');
}
header ("Content-Disposition: attachment; filename=".trim($_GET['name'])."");  
readfile($url);
?>